/*
 *
 *  Copyright 1997-1999  Nothing Real, LLC
 *  All Rights Reserved.
 *
 *  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Nothing Real, LLC.
 *  The contents of this file may not be disclosed to third parties,
 *  copied or duplicated in any form, in whole or in part, without
 *  the prior written permission of Nothing Real, LLC.
 * 
 *  RESTRICTED RIGHTS LEGEND:
 *  Use, duplication or disclosure by the Government is subject to
 *  restrictions as set forth in subdivision (c)(1)(ii) of the Rights
 *  in Technical Data and Computer Software clause at DFARS 252.227-7013,
 *  and/or in similar or successor clauses in the FAR, DOD or NASA FAR
 *  Supplement. Unpublished rights reserved under the Copyright Laws of
 *  the United States.
 *  
 *  $Header: /Shake2/keylight/keylightUI.h 30    6/01/01 10:20a Peter $
 */

nuiPushToolBox("Key");
    nuiToolBoxItem("Keylight",Keylight_1v4(0,0,0,0));
nuiPopToolBox();

nuiPushControlGroup("screenColour");
    nuiGroupControl("Keylight_1v4.rScreen");
    nuiGroupControl("Keylight_1v4.gScreen");
    nuiGroupControl("Keylight_1v4.bScreen");
    //nuiGroupControl("Keylight_1v4.screenRange");
nuiPopControlGroup();

nuiPushControlGroup("fgBias");
    nuiGroupControl("Keylight_1v4.rFgBias");
    nuiGroupControl("Keylight_1v4.gFgBias");
    nuiGroupControl("Keylight_1v4.bFgBias");
nuiPopControlGroup();


nuiPushControlGroup("replaceColour");
    nuiGroupControl("Keylight_1v4.rReplace");
    nuiGroupControl("Keylight_1v4.gReplace");
    nuiGroupControl("Keylight_1v4.bReplace");
nuiPopControlGroup();
//
//  In Tremor-layout only
//
if(gui.trm)
{
    nuiPushControlGroup("fgMult");
	nuiGroupControl("Keylight_1v4.rExposure");
	nuiGroupControl("Keylight_1v4.gExposure");
	nuiGroupControl("Keylight_1v4.bExposure");
    nuiPopControlGroup();

    nuiPushControlGroup("fgGamma");
	nuiGroupControl("Keylight_1v4.rGamma");
	nuiGroupControl("Keylight_1v4.gGamma");
	nuiGroupControl("Keylight_1v4.bGamma");
    nuiPopControlGroup();

}

// 
// In Shake-layout only
//
if(!gui.trm)
{
    nuiPushControlGroup("fgMult");
	nuiGroupControl("Keylight_1v4.rExposure");
	nuiGroupControl("Keylight_1v4.gExposure");
	nuiGroupControl("Keylight_1v4.bExposure");
    nuiPopControlGroup();
    nuiPushControlGroup("fgGamma");
	nuiGroupControl("Keylight_1v4.rGamma");
	nuiGroupControl("Keylight_1v4.gGamma");
	nuiGroupControl("Keylight_1v4.bGamma");
    nuiPopControlGroup();

nuiPushControlGroup("Keylight_1v4.fineControl");
    nuiPushControlGroup("Keylight_1v4.balance");
	nuiGroupControl("Keylight_1v4.shadowBalance");
	nuiGroupControl("Keylight_1v4.midtoneBalance");
	nuiGroupControl("Keylight_1v4.highlightBalance");
    nuiPopControlGroup();

    nuiPushControlGroup("Keylight_1v4.gain");
	nuiGroupControl("Keylight_1v4.shadowGain");
	nuiGroupControl("Keylight_1v4.midtoneGain");
	nuiGroupControl("Keylight_1v4.highlightGain");
    nuiPopControlGroup();
    nuiGroupControl("Keylight_1v4.midTonesAt");
nuiPopControlGroup();


    //nuiGroupControl("Keylight_1v4.colourspace");
nuiPushControlGroup("Keylight_1v4.plumbing");
    nuiGroupControl("Keylight_1v4.useHoldOutMatte");
    nuiGroupControl("Keylight_1v4.holdOutChannel");
    nuiGroupControl("Keylight_1v4.useGarbageMatte");
    nuiGroupControl("Keylight_1v4.garbageChannel");
    nuiGroupControl("Keylight_1v4.bgColor");
    nuiGroupControl("Keylight_1v4.clipMode");
nuiPopControlGroup();


}




nuxDefRadioBtnOCtrl("Keylight_1v4.colourspace",1, 1, 0, "log|ux/radio/radio_log", "linear|ux/radio/radio_linear", "video|ux/radio/radio_video");

nuxDefRadioBtnOCtrl("Keylight_1v4.output", 1,1,0, "composite|ux/function/keylight.comp", "compOnBlack|ux/function/keylight.black", "compOnReplace|ux/function/keylight.replace", "unpremultiplied|ux/function/keylight.unpremult", "status|ux/function/keylight.status" ) ; 

nuxDefTextCtrl("Keylight_1v4.Keylight_1v4",0);

nuiPushControlWidget("screenColour",nuiConnectColorTriplet(kRGBToggle,kAverageColor,1));
nuiPushControlWidget("fgBias",nuiConnectColorTriplet(kRGBToggle,kAverageColor,1));
nuiPushControlWidget("replaceColour",nuiConnectColorTriplet(kRGBToggle,kAverageColor,1));
nuiPushControlWidget("fgMult",nuiConnectColorTriplet(kRGBToggle,kAverageColor,1));
nuiPushControlWidget("fgGamma",nuiConnectColorTriplet(kRGBToggle,kAverageColor,1));

// swapped for 1v4
nuxDefToggle("Keylight_1v4.clipMode","ux/foreground.nri|ux/foreground.focus.nri", "ux/background.nri|ux/background.focus.nri");
nuiDefSlider("Keylight_1v4.rExposure", 0, 5, 0, 1);
nuiDefSlider("Keylight_1v4.gExposure", 0, 5, 0, 1);
nuiDefSlider("Keylight_1v4.bExposure", 0, 5, 0, 1);
nuiDefSlider("Keylight_1v4.rGamma", 0.001, 4, 0, 0);
nuiDefSlider("Keylight_1v4.gGamma", 0.001, 4, 0, 0);
nuiDefSlider("Keylight_1v4.bGamma", 0.001, 4, 0, 0);
nuiDefSlider("Keylight_1v4.saturation", 0, 3, 0, 0);
nuiDefSlider("Keylight_1v4.screenRange", 0, 0.3, 0, 0);
nuiDefSlider("Keylight_1v4.shadowGain", -1, 1, 0, 0);
nuiDefSlider("Keylight_1v4.midtoneGain", -1, 1, 0, 0);
nuiDefSlider("Keylight_1v4.highlightGain", -1, 1, 0, 0);
nuxDefExprToggle("Keylight_1v4.useHoldOutMatte");
nuxDefRadioBtnCtrl("Keylight_1v4.holdOutChannel",1,1,0, "R|ux/radio/radio_red", "G|ux/radio/radio_green", "B|ux/radio/radio_blue", "A|ux/radio/radio_alpha");
nuxDefExprToggle("Keylight_1v4.useGarbageMatte");
nuxDefRadioBtnCtrl("Keylight_1v4.garbageChannel",1,1,0, "R|ux/radio/radio_red", "G|ux/radio/radio_green", "B|ux/radio/radio_blue", "A|ux/radio/radio_alpha");
nuxDefExprToggle("Keylight_1v4.bgColor");

//Keylight
nuiDefTweakerNumCol("Keylight_1v4",5);
nuiDefPCtrlLoc("Keylight_1v4.output",2);
nuiDefPCtrlLoc("Keylight_1v4.rScreen",3);
nuiDefPCtrlLoc("Keylight_1v4.gScreen",3);
nuiDefPCtrlLoc("Keylight_1v4.bScreen",3);
nuiDefPCtrlLoc("Keylight_1v4.screenRange",3);
nuiDefPCtrlLoc("Keylight_1v4.rFgBias",3);
nuiDefPCtrlLoc("Keylight_1v4.gFgBias",3);
nuiDefPCtrlLoc("Keylight_1v4.bFgBias",3);
nuiDefPCtrlLoc("Keylight_1v4.shadowBalance",4);
nuiDefPCtrlLoc("Keylight_1v4.midtoneBalance",4);
nuiDefPCtrlLoc("Keylight_1v4.highlightBalance",4);
nuiDefPCtrlLoc("Keylight_1v4.shadowGain",4);
nuiDefPCtrlLoc("Keylight_1v4.midtoneGain",4);
nuiDefPCtrlLoc("Keylight_1v4.highlightGain",4);
nuiDefPCtrlLoc("Keylight_1v4.midTonesAt",4);
nuiDefPCtrlLoc("Keylight_1v4.rReplace",3);
nuiDefPCtrlLoc("Keylight_1v4.gReplace",3);
nuiDefPCtrlLoc("Keylight_1v4.bReplace",3);
nuiDefPCtrlLoc("Keylight_1v4.rExposure",5);
nuiDefPCtrlLoc("Keylight_1v4.gExposure",5);
nuiDefPCtrlLoc("Keylight_1v4.bExposure",5);
nuiDefPCtrlLoc("Keylight_1v4.rGain",5);
nuiDefPCtrlLoc("Keylight_1v4.gGain",5);
nuiDefPCtrlLoc("Keylight_1v4.bGain",5);
nuiDefPCtrlLoc("Keylight_1v4.saturation",5);
nuiDefPCtrlLoc("Keylight_1v4.colourspace",2);
nuiDefPCtrlLoc("Keylight_1v4.useHoldOutMatte",2);
nuiDefPCtrlLoc("Keylight_1v4.holdOutChannel",2);
nuiDefPCtrlLoc("Keylight_1v4.useGarbageMatte",2);
nuiDefPCtrlLoc("Keylight_1v4.garbageChannel",2);
nuiDefPCtrlLoc("Keylight_1v4.bgColor",2);
nuiDefPCtrlLoc("Keylight_1v4.clipMode",2);
nuiDefPCtrlLoc("Keylight_1v4.Keylight_1v4",2);

nuiDefTweakerCol("Keylight_1v4",1,"",10,25);
nuiDefTweakerCol("Keylight_1v4",2,"",10,410,430);
nuiDefTweakerCol("Keylight_1v4",3,"",10,350,455);
nuiDefTweakerCol("Keylight_1v4",4,"",10,200,250);
nuiDefTweakerCol("Keylight_1v4",5,"",10,255,455);

