image IconMaker(
	image in, 
	string iconName,
	float textRed, 
	float textGreen, 
	float textBlue, 
	float bgRed, 
	float bgGreen, 
	float bgBlue,
	int cropIcon,
	int softEdges) 
{ 


GreyBG = Color(75, 40, 1, 0.7529, red, red, 1, 0);
NormalBG = Color(75, 40, 1, bgRed, bgGreen, bgBlue, 1, 0);
Resize1 = Resize(in, 75, 40, "default", 0);
Resize2 = Resize(in, 75, 28, "default", 0);
Scale1 = Scale(NormalBG, 0.941, 0.92, width/2, 17, 0, 0.5, 0);
Blur1 = Blur(Scale1, 5, xPixels, 0, "gauss", "gauss", "rgba");
Pan2 = Pan(Resize2, 0, 12, 0, 0.5, 0);
ChooseCrop = Select(cropIcon+1, 
	Resize1, 
	Pan2,
	0,0 
	);
IconOverBG = Over(ChooseCrop, NormalBG, 1, 0, 0);
AddText1 = AddText(IconOverBG, iconName, "Helvetica Narrow", 11, xFontScale, 1, img.width/2, 8, 0, 2, 2, textRed, textGreen, textBlue ,1, 0, 0, 0, 45);
SwitchMatte1 = SwitchMatte(AddText1, Blur1, 0, "a", 1, 0);
IconOverGreyBG = Over(SwitchMatte1, GreyBG, 1, 0, 0);
ChooseEdgeTreat = Select(softEdges+1, 
	AddText1, 
	IconOverGreyBG, 
	0,0
);
return Reorder(ChooseEdgeTreat,"rgbn");
}


